# Bank Account

## Get a list of Bank Accounts

> Retrieve all bank accounts associated with the specified merchant.> \
> &#x20;          &#x20;> \
> Note: The response includes details for all types of bank accounts present for the merchant.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/BankAccounts/{merchantNumber}":{"get":{"tags":["Bank Account"],"summary":"Get a list of Bank Accounts","description":"Retrieve all bank accounts associated with the specified merchant.\r\n            \r\nNote: The response includes details for all types of bank accounts present for the merchant.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"encryptedAccountNumber","in":"query","description":"Specifies whether the bank account number provided in the request is encrypted. Default: false","schema":{"type":"boolean","default":false}},{"name":"lastFourAccountNumber","in":"query","description":"Specifies whether to return only the last four digits of the account number. Default: false","schema":{"type":"boolean","default":false}},{"name":"effectiveAccount","in":"query","description":"Specifies whether to return only active (effective) accounts. Default: true","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"Returns a list of bank accounts successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccountCollection"}}}},"400":{"description":"Bad Request: Returns when merchantNumber null or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Bank accounts not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BankAccountCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccount"},"description":"A list of bank account details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BankAccount":{"required":["aba","accountNumber","bankAccountNameTypeID","bankAccountTypeID","bankName","hasChargebacks","hasFees","hasFunds"],"type":"object","properties":{"bankAccountID":{"type":"string","description":"Unique identifier for the bank account.","nullable":true},"bankName":{"minLength":1,"type":"string","description":"Name of the bank associated with the account."},"nameOnAccount":{"type":"string","description":"The name on the bank account.","nullable":true},"accountHolderFirstName":{"type":"string","description":"The first name of the account holder.","nullable":true},"accountHolderLastName":{"type":"string","description":"The last name of the account holder.","nullable":true},"bankAccountTypeID":{"maximum":3,"minimum":1,"type":"string","description":"Type of bank account. Possible values:\r\n1 - Checking\r\n2 - Savings"},"bankAccountNameTypeID":{"maximum":2147483647,"minimum":1,"type":"integer","description":"Name type ID for the bank account.","format":"int32"},"aba":{"minLength":1,"type":"string","description":"The routing number associated with the bank account. In different regions, this may represent BIC (EU) or Sort Code (UK).  \r\nMandatory for US and UK; optional for EU."},"accountNumber":{"minLength":1,"type":"string","description":"The account number associated with the bank account."},"lastFourAccountNumber":{"type":"string","description":"The last four digits of the bank account number.","nullable":true},"encryptedAccountNumber":{"type":"string","description":"Encrypted version of the bank account number.","format":"byte","nullable":true},"voidedCheckDocumentID":{"type":"string","description":"Document ID for the voided check linked to the bank account.","format":"uuid"},"hasFees":{"type":"boolean","description":"Indicates if the account has fees associated with it."},"hasFunds":{"type":"boolean","description":"Indicates if the account has available funds."},"hasChargebacks":{"type":"boolean","description":"Indicates if the account has a history of chargebacks."},"isNameSameAsLegalOrDBAName":{"type":"string","description":"Indicates if the account name is the same as the legal or DBA name.","nullable":true},"currency":{"type":"string","description":"The account currency in ISO 4217 code","nullable":true},"purpose":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.Enums.BankAccountPurpose"},"lastUpdatedUtc":{"type":"string","description":"UTC date and time when the account was last updated.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.Enums.BankAccountPurpose":{"enum":["Settlement","Invoicing","Direct"],"type":"string"},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Create Bank Account

> Create a new bank account for the merchant with detailed validations and feature-specific behavior.> \
> &#x20;          &#x20;> \
> Note: The request validates the merchantNumber and bank account details to perform cross-validation, and ensures the merchant account is not locked.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/BankAccounts/{merchantNumber}":{"post":{"tags":["Bank Account"],"summary":"Create Bank Account","description":"Create a new bank account for the merchant with detailed validations and feature-specific behavior.\r\n            \r\nNote: The request validates the merchantNumber and bank account details to perform cross-validation, and ensures the merchant account is not locked.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"encryptedAccountNumber","in":"query","description":"Specifies whether the bank account number provided in the request is encrypted. Default: false","schema":{"type":"boolean","default":false}},{"name":"lastFourAccountNumber","in":"query","description":"Specifies whether to return only the last four digits of the account number. Default: false","schema":{"type":"boolean","default":false}}],"requestBody":{"description":"The bank account details to be created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccount"}}},"required":true},"responses":{"201":{"description":"Created a new bank account successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccount"}}}},"400":{"description":"Bad Request: Returns when merchantNumber null or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Bank accounts not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BankAccount":{"required":["aba","accountNumber","bankAccountNameTypeID","bankAccountTypeID","bankName","hasChargebacks","hasFees","hasFunds"],"type":"object","properties":{"bankAccountID":{"type":"string","description":"Unique identifier for the bank account.","nullable":true},"bankName":{"minLength":1,"type":"string","description":"Name of the bank associated with the account."},"nameOnAccount":{"type":"string","description":"The name on the bank account.","nullable":true},"accountHolderFirstName":{"type":"string","description":"The first name of the account holder.","nullable":true},"accountHolderLastName":{"type":"string","description":"The last name of the account holder.","nullable":true},"bankAccountTypeID":{"maximum":3,"minimum":1,"type":"string","description":"Type of bank account. Possible values:\r\n1 - Checking\r\n2 - Savings"},"bankAccountNameTypeID":{"maximum":2147483647,"minimum":1,"type":"integer","description":"Name type ID for the bank account.","format":"int32"},"aba":{"minLength":1,"type":"string","description":"The routing number associated with the bank account. In different regions, this may represent BIC (EU) or Sort Code (UK).  \r\nMandatory for US and UK; optional for EU."},"accountNumber":{"minLength":1,"type":"string","description":"The account number associated with the bank account."},"lastFourAccountNumber":{"type":"string","description":"The last four digits of the bank account number.","nullable":true},"encryptedAccountNumber":{"type":"string","description":"Encrypted version of the bank account number.","format":"byte","nullable":true},"voidedCheckDocumentID":{"type":"string","description":"Document ID for the voided check linked to the bank account.","format":"uuid"},"hasFees":{"type":"boolean","description":"Indicates if the account has fees associated with it."},"hasFunds":{"type":"boolean","description":"Indicates if the account has available funds."},"hasChargebacks":{"type":"boolean","description":"Indicates if the account has a history of chargebacks."},"isNameSameAsLegalOrDBAName":{"type":"string","description":"Indicates if the account name is the same as the legal or DBA name.","nullable":true},"currency":{"type":"string","description":"The account currency in ISO 4217 code","nullable":true},"purpose":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.Enums.BankAccountPurpose"},"lastUpdatedUtc":{"type":"string","description":"UTC date and time when the account was last updated.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.Enums.BankAccountPurpose":{"enum":["Settlement","Invoicing","Direct"],"type":"string"},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Update Bank Accounts

> Update the bank account details for the specified merchant identified by merchantNumber.> \
> &#x20;          &#x20;> \
> Note: Update process will be performed after validations through a secure channel.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/BankAccounts/{merchantNumber}":{"put":{"tags":["Bank Account"],"summary":"Update Bank Accounts","description":"Update the bank account details for the specified merchant identified by merchantNumber.\r\n            \r\nNote: Update process will be performed after validations through a secure channel.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"encryptedAccountNumber","in":"query","description":"Specifies whether the bank account number provided in the request is encrypted. Default: false","schema":{"type":"boolean","default":false}},{"name":"lastFourAccountNumber","in":"query","description":"Specifies whether to return only the last four digits of the account number. Default: false","schema":{"type":"boolean","default":false}}],"requestBody":{"description":"Bank account collection model.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccountCollection"}}},"required":true},"responses":{"200":{"description":"Successfully updated a bank account.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccountCollection"}}}},"400":{"description":"Bad Request: Error occurred during save: no merchant number provided or Error occurred during save: no bank account provided or if data is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: Bank accounts not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BankAccountCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccount"},"description":"A list of bank account details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BankAccount":{"required":["aba","accountNumber","bankAccountNameTypeID","bankAccountTypeID","bankName","hasChargebacks","hasFees","hasFunds"],"type":"object","properties":{"bankAccountID":{"type":"string","description":"Unique identifier for the bank account.","nullable":true},"bankName":{"minLength":1,"type":"string","description":"Name of the bank associated with the account."},"nameOnAccount":{"type":"string","description":"The name on the bank account.","nullable":true},"accountHolderFirstName":{"type":"string","description":"The first name of the account holder.","nullable":true},"accountHolderLastName":{"type":"string","description":"The last name of the account holder.","nullable":true},"bankAccountTypeID":{"maximum":3,"minimum":1,"type":"string","description":"Type of bank account. Possible values:\r\n1 - Checking\r\n2 - Savings"},"bankAccountNameTypeID":{"maximum":2147483647,"minimum":1,"type":"integer","description":"Name type ID for the bank account.","format":"int32"},"aba":{"minLength":1,"type":"string","description":"The routing number associated with the bank account. In different regions, this may represent BIC (EU) or Sort Code (UK).  \r\nMandatory for US and UK; optional for EU."},"accountNumber":{"minLength":1,"type":"string","description":"The account number associated with the bank account."},"lastFourAccountNumber":{"type":"string","description":"The last four digits of the bank account number.","nullable":true},"encryptedAccountNumber":{"type":"string","description":"Encrypted version of the bank account number.","format":"byte","nullable":true},"voidedCheckDocumentID":{"type":"string","description":"Document ID for the voided check linked to the bank account.","format":"uuid"},"hasFees":{"type":"boolean","description":"Indicates if the account has fees associated with it."},"hasFunds":{"type":"boolean","description":"Indicates if the account has available funds."},"hasChargebacks":{"type":"boolean","description":"Indicates if the account has a history of chargebacks."},"isNameSameAsLegalOrDBAName":{"type":"string","description":"Indicates if the account name is the same as the legal or DBA name.","nullable":true},"currency":{"type":"string","description":"The account currency in ISO 4217 code","nullable":true},"purpose":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.Enums.BankAccountPurpose"},"lastUpdatedUtc":{"type":"string","description":"UTC date and time when the account was last updated.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.Enums.BankAccountPurpose":{"enum":["Settlement","Invoicing","Direct"],"type":"string"},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Delete Bank Account

> Delete a bank account associated with the specified merchant using the provided bankAccountId.> \
> &#x20;          &#x20;> \
> Note: The merchant account must not be locked. Proper authorization based on the MID policy is required.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/BankAccounts/{merchantNumber}":{"delete":{"tags":["Bank Account"],"summary":"Delete Bank Account","description":"Delete a bank account associated with the specified merchant using the provided bankAccountId.\r\n            \r\nNote: The merchant account must not be locked. Proper authorization based on the MID policy is required.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"bankAccountId","in":"path","description":"The unique identifier of the bank account.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successfully deleted a bank account."},"400":{"description":"Bad Request: If merchantNumber is null or empty, or bankAccountId is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: If resource / bank account not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Update Specific Bank Account

> Update the details of an existing bank account identified by bankAccountId of the specified merchant.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/BankAccounts/{merchantNumber}/{bankAccountId}":{"put":{"tags":["Bank Account"],"summary":"Update Specific Bank Account","description":"Update the details of an existing bank account identified by bankAccountId of the specified merchant.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"bankAccountId","in":"path","description":"The unique identifier of the bank account.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"encryptedAccountNumber","in":"query","description":"Specifies whether the bank account number provided in the request is encrypted. Default: false","schema":{"type":"boolean","default":false}},{"name":"lastFourAccountNumber","in":"query","description":"Specifies whether to return only the last four digits of the account number. Default: false","schema":{"type":"boolean","default":false}}],"requestBody":{"description":"Bank account model.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccount"}}},"required":true},"responses":{"200":{"description":"Successfully updated a bank account.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BankAccount"}}}},"400":{"description":"Error occurred during save: no merchant number provided or Error occurred during save: no bank account provided or if data is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"If bank account not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Error occurred during update.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.BankAccount":{"required":["aba","accountNumber","bankAccountNameTypeID","bankAccountTypeID","bankName","hasChargebacks","hasFees","hasFunds"],"type":"object","properties":{"bankAccountID":{"type":"string","description":"Unique identifier for the bank account.","nullable":true},"bankName":{"minLength":1,"type":"string","description":"Name of the bank associated with the account."},"nameOnAccount":{"type":"string","description":"The name on the bank account.","nullable":true},"accountHolderFirstName":{"type":"string","description":"The first name of the account holder.","nullable":true},"accountHolderLastName":{"type":"string","description":"The last name of the account holder.","nullable":true},"bankAccountTypeID":{"maximum":3,"minimum":1,"type":"string","description":"Type of bank account. Possible values:\r\n1 - Checking\r\n2 - Savings"},"bankAccountNameTypeID":{"maximum":2147483647,"minimum":1,"type":"integer","description":"Name type ID for the bank account.","format":"int32"},"aba":{"minLength":1,"type":"string","description":"The routing number associated with the bank account. In different regions, this may represent BIC (EU) or Sort Code (UK).  \r\nMandatory for US and UK; optional for EU."},"accountNumber":{"minLength":1,"type":"string","description":"The account number associated with the bank account."},"lastFourAccountNumber":{"type":"string","description":"The last four digits of the bank account number.","nullable":true},"encryptedAccountNumber":{"type":"string","description":"Encrypted version of the bank account number.","format":"byte","nullable":true},"voidedCheckDocumentID":{"type":"string","description":"Document ID for the voided check linked to the bank account.","format":"uuid"},"hasFees":{"type":"boolean","description":"Indicates if the account has fees associated with it."},"hasFunds":{"type":"boolean","description":"Indicates if the account has available funds."},"hasChargebacks":{"type":"boolean","description":"Indicates if the account has a history of chargebacks."},"isNameSameAsLegalOrDBAName":{"type":"string","description":"Indicates if the account name is the same as the legal or DBA name.","nullable":true},"currency":{"type":"string","description":"The account currency in ISO 4217 code","nullable":true},"purpose":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.Enums.BankAccountPurpose"},"lastUpdatedUtc":{"type":"string","description":"UTC date and time when the account was last updated.","nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.Enums.BankAccountPurpose":{"enum":["Settlement","Invoicing","Direct"],"type":"string"},"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```

## Delete Bank Account

> Delete a bank account associated with the specified merchant using the provided bankAccountId.> \
> &#x20;          &#x20;> \
> Note: The merchant account must not be locked. Proper authorization based on the MID policy is required.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/BankAccounts/{merchantNumber}/{bankAccountId}":{"delete":{"tags":["Bank Account"],"summary":"Delete Bank Account","description":"Delete a bank account associated with the specified merchant using the provided bankAccountId.\r\n            \r\nNote: The merchant account must not be locked. Proper authorization based on the MID policy is required.","parameters":[{"name":"merchantNumber","in":"path","description":"The merchant's unique identification number.","required":true,"schema":{"type":"string"}},{"name":"bankAccountId","in":"path","description":"The unique identifier of the bank account.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Successfully deleted a bank account."},"400":{"description":"Bad Request: If merchantNumber is null or empty, or bankAccountId is invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"403":{"description":"Forbidden: The user does not have the necessary permissions to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"404":{"description":"Not Found: If resource / bank account not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.ErrorResults"}}}}}}}},"components":{"schemas":{"MerchantDemographics.Api.Models.ErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.Api.Models.BoardingError"},"nullable":true}},"additionalProperties":false},"MerchantDemographics.Api.Models.BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the error and provide detailed information on what went wrong during the request processing.","nullable":true},"resultCode":{"type":"integer","description":"Code associated with the error and helps to categorize the error type or severity. (It can be any error code 400/401/501, etc depending upon its type)","format":"int32"},"timeStamp":{"type":"string","description":"DateTime in ISO 8601 format. It is read-only and automatically set to the current date and time.","format":"date-time","readOnly":true},"fieldPath":{"type":"array","items":{"type":"string"},"description":"Field path(s) where the error occurred in a data structure. It can contains any field.","nullable":true}},"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/merchant-demographics/bank-account-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
